package org.springblade.modules.jgInfo.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.jgInfo.entity.JgInfoEntity;
import org.springblade.modules.jgInfo.excel.JgInfoExcel;
import org.springblade.modules.jgInfo.vo.*;

import java.util.List;
import java.util.Map;

/**
 * 警格 Mapper 接口
 *
 * @author BladeX
 * @since 2023-11-06
 */
public interface JgInfoMapper extends BaseMapper<JgInfoEntity> {

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<JgInfoExcel> exportjgInfo(@Param("ew") Wrapper<JgInfoEntity> queryWrapper);

	List<FjVO> getFjList(@Param("params") Map<String, Object> params);

	List<PcsVO> getPcsList(@Param("params") Map<String, Object> params);

	List<SqVO> getSqList(@Param("params") Map<String, Object> params);


	List<JgVO> getJgList(@Param("params") Map<String, Object> params);

	List<JyVO> getJyList(@Param("params") Map<String, Object> params);

	@DS("jl")
    List<String> getJgByJh(String jh);
}
